| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Horizon2DGridCreator Class Reference
EMAttrib

ExecutorGroup to create 2D horizon grid from 3D. More...

`#include <gridcreator.h>`

Inheritance diagram for Horizon2DGridCreator:
[legend]

## Public Member Functions
| Horizon2DGridCreator ()
| ~Horizon2DGridCreator ()
bool | finish (TaskRunner *tr=0)
bool | init (const IOPar &, TaskRunner *tr=0)
od_int64 | nrDone () const override
od_int64 | totalNr () const override
uiString | uiNrDoneText () const override
Public Member Functions inherited from ExecutorGroup
| ExecutorGroup (const char *nm, bool parallel=false, bool ownsexecs=true)
virtual | ~ExecutorGroup ()
virtual void | add (Executor *)
Executor * | getExecutor (int idx)
int | nrExecutors ()
void | setNrDoneText (const uiString &txt)
| If set, will use this and the counted nrdone.
uiString | uiMessage () const override
Public Member Functions inherited from Executor
| Executor (const char *nm)
virtual | ~Executor ()
int | doStep () override
bool | execute () override
bool | go (od_ostream &s, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
bool | go (od_ostream *s=0, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
Public Member Functions inherited from SequentialTask
| SequentialTask (const char *nm=nullptr)
virtual | ~SequentialTask ()
bool | execute () override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
Task & | operator= (const Task &)=delete
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static const char * | sKeyInputIDs ()
static const char * | sKeyPrefix ()
static const char * | sKeySeisID ()
Static Public Member Functions inherited from SequentialTask
static int | ErrorOccurred ()
static int | Finished ()
static int | MoreToDo ()
static int | WarningAvailable ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Attributes
ObjectSet< EM::Horizon2D > | horizons_
od_int64 | nrdone_
od_int64 | totalnr_
Protected Attributes inherited from ExecutorGroup
int | currentexec_
TypeSet< int > | executorres_
ObjectSet< Executor > & | executors_
uiString | nrdonetext_
bool | ownsexecs_
const bool | parallel_
int | sumstart_
int | sumstop_
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Public Attributes inherited from Executor
Notifier< Executor > | poststep
| Only when MoreToDo will be returned.
Notifier< Executor > | prestep
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated
Protected Member Functions inherited from ExecutorGroup
bool | doPrepare (od_ostream *=nullptr) override
void | findNextSumStop ()
virtual bool | goToNextExecutor ()
int | nextStep () override
Protected Member Functions inherited from Executor
virtual bool | goImpl (od_ostream *, bool, bool, int)
Protected Member Functions inherited from SequentialTask
virtual bool | doFinish (bool success, od_ostream *=nullptr)
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Detailed Description

ExecutorGroup to create 2D horizon grid from 3D.

<>

## Constructor & Destructor Documentation

## ◆ Horizon2DGridCreator()

Horizon2DGridCreator::Horizon2DGridCreator | ( |  | ) |

## ◆ ~Horizon2DGridCreator()

Horizon2DGridCreator::~Horizon2DGridCreator | ( |  | ) |

## Member Function Documentation

## ◆ finish()

bool Horizon2DGridCreator::finish | ( | TaskRunner * | tr = 0 | ) |

## ◆ init()

bool Horizon2DGridCreator::init | ( | const IOPar & | ,
|  | TaskRunner * | tr = 0 )

## ◆ nrDone()

od_int64 Horizon2DGridCreator::nrDone | ( |  | ) | const
| override virtual

Note
  nrDone is only used for displaying progress and will be compared to totalNr to show user how large part of the task that is finished.

Reimplemented from ExecutorGroup.

## ◆ sKeyInputIDs()

static const char * Horizon2DGridCreator::sKeyInputIDs | ( |  | ) |
| static

## ◆ sKeyPrefix()

static const char * Horizon2DGridCreator::sKeyPrefix | ( |  | ) |
| static

## ◆ sKeySeisID()

static const char * Horizon2DGridCreator::sKeySeisID | ( |  | ) |
| static

## ◆ totalNr()

od_int64 Horizon2DGridCreator::totalNr | ( |  | ) | const
| override virtual

Reimplemented from ExecutorGroup.

## ◆ uiNrDoneText()

uiString Horizon2DGridCreator::uiNrDoneText | ( |  | ) | const
| override virtual

Reimplemented from ExecutorGroup.

## Member Data Documentation

## ◆ horizons_

ObjectSet<EM::Horizon2D> Horizon2DGridCreator::horizons_
| protected

## ◆ nrdone_

od_int64 Horizon2DGridCreator::nrdone_
| protected

## ◆ totalnr_

od_int64 Horizon2DGridCreator::totalnr_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025